<!DOCTYPE html>
<html lang="de">
  <head>
    <meta charset="utf-8">
    <title>PolNds | hide.me-Checker</title>
    <meta content="Patrick Neumann" name="author">
    <meta content="1.0" name="version">
    <link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">
    <style type="text/css">
      .box {
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        font-size: 2em;
        font-weight: bold;
        color: white;
      }
      .footer {
        margin-left: auto;
        margin-right: auto;
        text-align: right;
      }
    </style>
  </head>
  <body>
    <h1>PolNds | hide.me-Checker</h1>
<?php
// 80.228.52.30        # IPv4
// 2a02:821d:0:205::30 # IPv6
$itn = array( "80.228.52.30",
              "2a02:821d:0:205::30" );

// Niederlande: 109.201.133.6
// Deutschland: 116.203.50.155
// Finland: 135.181.35.237
//   (Stand: 12.08.2020)
$hideme = array( "109.201.133.6"  => "nl",
                 "116.203.50.155" => "de",
                 "135.181.35.237" => "fi"  );

if( in_array( $_SERVER[ "REMOTE_ADDR" ], $itn ) ) {
?>
    <p class="box" style="background-color:red;">
      <br>
      Leider müssen wir Dir mitteilen,<br>
      dass wir nicht mit der Polizei<br>
      zusammenarbeiten!
<?php
} elseif ( array_key_exists( $_SERVER[ "REMOTE_ADDR" ], $hideme ) ) {
?>
    <p class="box" style="background-color:blue;">
      <br>
      Schön, dass Du "hide.me" benutzt!<br>
      Wenn Du Dich nicht im Intranet befindest,<br>
      brauchst Du keinen freien Proxy!
<?php
} else {
?>
    <p class="box" style="background-color:green;">
      <br>
      Wir begrüßen es sehr,<br>
      dass Du nicht aus dem Intranet der<br>
      Landesverwaltung Niedersachsen "kommst"<br>
      und auch nicht "<a href="https://de.hideproxy.me/go.php?u=https%3A%2F%2Fpahmc.domain-ermittlung.de%2F" target="_blank">hide.me</a>" benutzt!
<?php } ?>
      <br>
      <br>
    </p>
    <p class="footer">
      Deine IP-Adresse:
       <b>
         <?php echo $_SERVER[ "REMOTE_ADDR" ]; ?>
       </b>
       <i>
         <small>
           <?php
             if ( array_key_exists( $_SERVER[ "REMOTE_ADDR" ], $hideme ) ) {
               echo "(" . $hideme[ $_SERVER[ 'REMOTE_ADDR' ] ] . ".hideproxy.me)\n";
             } else {
               echo "(" . gethostbyaddr( $_SERVER['REMOTE_ADDR'] ) . ")\n";
             }
           ?>
         </small>
       </i>
    </p>
  </body>
</html>